## org.eclipse.emf.cdo.transaction
Interface CDOTransaction.Options

All Superinterfaces:
  CDOView.Options, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptions

Enclosing interface:
  CDOTransaction

    public static interface CDOTransaction.Options

extends CDOView.Options

Nested Class Summary
`static interface` `CDOTransaction.Options.AutoReleaseLockEvent`
`static interface` `CDOTransaction.Options.ConflictResolversEvent`

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOView.Options
`CDOView.Options.CacheReferenceTypeEvent, CDOView.Options.ChangeSubscriptionPoliciesEvent, CDOView.Options.InvalidationNotificationEvent, CDOView.Options.ReferencePolicyEvent, CDOView.Options.RevisionPrefetchingPolicyEvent`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.view.CDOView.Options
`NO_REVISION_PREFETCHING`

Method Summary
`void` `addConflictResolver(CDOConflictResolver resolver)` Adds a conflict resolver to the list of conflict resolvers of this transaction.
`CDOConflictResolver[]` `getConflictResolvers()` Returns a copy of the conflict resolver list of this transaction.
`boolean` `isAutoReleaseLocksEnabled()` Returns true if locks in this view will be removes when `CDOUserTransaction.commit()` or `CDOUserTransaction.rollback()` is called.
`void` `removeConflictResolver(CDOConflictResolver resolver)` Removes a conflict resolver from the list of conflict resolvers of this transaction.
`void` `setAutoReleaseLocksEnabled(boolean on)` Specifies whether locks in this view will be removed when `CDOUserTransaction.commit()` or `CDOUserTransaction.rollback()` is called.
`void` `setConflictResolvers(CDOConflictResolver[] resolvers)` Sets the conflict resolver list of this transaction.

Methods inherited from interface org.eclipse.emf.cdo.view.CDOView.Options
`addChangeSubscriptionPolicy, getCacheReferenceType, getChangeSubscriptionPolicies, getRevisionPrefetchingPolicy, getStrongReferencePolicy, isInvalidationNotificationEnabled, removeChangeSubscriptionPolicy, setCacheReferenceType, setInvalidationNotificationEnabled, setRevisionPrefetchingPolicy, setStrongReferencePolicy`

Methods inherited from interface org.eclipse.net4j.util.options.IOptions
`getContainer`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getConflictResolvers

    CDOConflictResolver[] getConflictResolvers()

  Returns a copy of the conflict resolver list of this transaction.

### setConflictResolvers

    void setConflictResolvers(CDOConflictResolver[] resolvers)

  Sets the conflict resolver list of this transaction.

### addConflictResolver

    void addConflictResolver(CDOConflictResolver resolver)

  Adds a conflict resolver to the list of conflict resolvers of this transaction.

### removeConflictResolver

    void removeConflictResolver(CDOConflictResolver resolver)

  Removes a conflict resolver from the list of conflict resolvers of this transaction.

### isAutoReleaseLocksEnabled

    boolean isAutoReleaseLocksEnabled()

  Returns true if locks in this view will be removes when `CDOUserTransaction.commit()` or `CDOUserTransaction.rollback()` is called.

  Default value is true.

### setAutoReleaseLocksEnabled

    void setAutoReleaseLocksEnabled(boolean on)

  Specifies whether locks in this view will be removed when `CDOUserTransaction.commit()` or `CDOUserTransaction.rollback()` is called.

  If false all locks are kept.

  Default value is true.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.